from pydantic import BaseModel
from datetime import datetime
from typing import Dict, Any
from enum import Enum


class NodeType(Enum):

    pass

class Status(Enum):
    ACTIVE = "Active"
    DISABLED = "Disabled"
    DELETED = "Deleted"

class Ps_Node(BaseModel):
    id: int
    ps_id: int
    node_type: NodeType
    settings: dict
    creator_id: Dict[str, Any]
    created_at: datetime
    status: Status
